Error Itms - 90167 No. App Bundles Found In The Package

Discussion in 'Technical Discussion' started by AaroArts, May 20, 2017.

Tags:
  1. AaroArts

    AaroArts Miniboss Boxer

    Joined:
    Jun 22, 2016
    Messages:
    1,532
    Likes Received:
    816
    So... I've exported a BB project, and opened it in xCode 7.3.1 and upon trying to upload to the App Store, I get the following Error:

    "ERROR ITMS - 90167 No. app bundles found in the package"

    I've tried Archiving straight from xCode 7.3.1, didn't work.
    I've tried Exporting and uploading from App Loader 3.0, didn't work.
    I've tried Exporting and uploading from App Loader 3.5, didn't work.

    I'm doing nothing different from what I normally do.

    The only difference is I have "Encryption" checked in BB 2.2.9.
    Everything else was done how I would normally do, with or without a BB project.

    Currently using Sierra 10.12.1.

    Any ideas?
    Thanks :)

    ~edit
    Just opened and reexported from BB 2.2.8 without encryption and it's still throwing the error in xCode/App Loader.

    Now downloading xCode 8.3.2 and will try App Loader 3.6...
     
    Last edited: May 20, 2017
  2. AaroArts

    AaroArts Miniboss Boxer

    Joined:
    Jun 22, 2016
    Messages:
    1,532
    Likes Received:
    816
    Well, problem solved.

    The solution:
    With BB Export from 2.2.9, to iOS.
    Upload using App Loader 3.6 in xCode 8.3.2 and access App Loader from xCode > Open Developer Tool > Application Loader.

    I have absolutely no idea why this happened... maybe Sierra had an update without me realising. Seems a common problem on Stackexchange too, with Sierra 10.12+
     
  3. blad300

    blad300 Serious Boxer

    Joined:
    Oct 8, 2015
    Messages:
    515
    Likes Received:
    276
    With 2.2.9 modules, you must upgrade to Xcode 8.2.1 and i think it's work with 8.3.1 also , and you don't need App Loader.
     
  4. Andy

    Andy Miniboss Boxer

    Joined:
    Sep 24, 2015
    Messages:
    2,152
    Likes Received:
    1,545
    Latest iOS update had some issue when using versions of Xcode older that Xcode 8.3. So it's certainly possible that a Sierra update might cause some issues as well with older solftware. It would not surprise me if Apple bumps the minimum requirements for uploads at any time.
     
    AaroArts likes this.

Share This Page